Subject: Re: [Jsonpath] [Last-Call] Genart last call review of draft-ietf-jsonpath-base-17

From: Rob Sayre <[email-masked]>
Date: Thu, 10 Aug 2023 13:49:11 -0700

I also object.

This document is better than most IETF documents. I don't understand the
GenArt review here, and I know more about JSON than most humans on earth.

thanks,
Rob

On Thu, Aug 10, 2023 at 1:14 PM James <[email-masked]> wrote:

> (speaking only for myself here as a JSON Path enthusiast)
>
> Thank you for your review, but I strongly disagree and I'm concerned
> you've misunderstood the purpose of the document and its aims for
> extensibility and interoperability. To reply to the three points you have
> raised:
>
> 1. The document aims to define a way of querying, without modification to
> existing JSON specifications and to do so with interop in mind. Could you
> please elaborate why Standards Track is not appropriate for a document with
> those goals, and what requisites have not been met?
>
> 2. The document includes extensibility to reduce any need for changes to
> syntax and thus help with ongoing interoperability of queries between
> implementations. Should someone propose new syntax to represent the
> traversal of JSON structures in the future that would not fit within the
> proposed extensions model, then a new version of the specification could be
> written.
>
> 3. The IANA registry is intended to avoid collisions in extension names
> that may result in two different implementations having impactful
> differences in behaviour.
>
> I hope this provides further clarity.
>
> - J
>
> > On 10 Aug 2023, at 20:18, Linda Dunbar via Datatracker <[email-masked]>
> wrote:
> >
> > Reviewer: Linda Dunbar
> > Review result: Not Ready
> >
> > I am the assigned Gen-ART reviewer for this draft. The General Area
> > Review Team (Gen-ART) reviews all IETF documents being processed
> > by the IESG for the IETF Chair.  Please treat these comments just
> > like any other last call comments.
> >
> > For more information, please see the FAQ at
> >
> > <https://wiki.ietf.org/en/group/gen/GenArtFAQ>.
> >
> > Document: draft-ietf-jsonpath-base-17
> > Reviewer: Linda Dunbar
> > Review Date: 2023-08-10
> > IETF LC End Date: 2023-08-09
> > IESG Telechat date: Not scheduled for a telechat
> >
> > Summary:
> >
> > The document specifies a method to parse the JSON objects to get values
> and
> > specifies the syntax to retrieve a list of values. The document reads
> well.
> > However, like any software programs, errors can be encountered at run
> time even
> > after careful review.
> >
> > Major issues:
> > The major issue is that this document should not be “Standard Track”
> because:
> > 1.      Existing parsers for JSON data don’t need to change to comply
> with the
> > syntax specified in this document. 2.      Like SQL, this document
> specified
> > syntax may change as more ways being developed by implementers to parse
> the
> > JSON objects. 3.      It is not clear why IANA registration is needed.
> >
> > Minor issues:
> >
> > Nits/editorial comments:
> >
> > Thanks, Linda Dunbar
> >
> >
>
> --
> last-call mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/last-call
>